{{- if .Values.service.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "kafka-connect.fullname" . }}
  labels:
    {{- include "kafka-connect.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.serverPort }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "kafka-connect.selectorLabels" . | nindent 4 }}
{{- end }}
